#include <bits/stdc++.h>
using namespace std;

const int MAXN = 1e5 + 5;

int n,a,s=0,b,m[MAXN],br=1;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>n;

    for(int i=1;i<=n;i++){
        cin>>a;
        m[s]=a;
        s=a;
    }

    cin>>s;

    for(int i=2;i<=n;i++){
        cin>>b;
        if(m[s]!=b)br++;
        s=b;
    }

    cout<<br<<'\n';



    return 0;
}

